var TipsEx = new Class( {

	Extends :Tips,

	initialize : function(elements, options) {
		this.parent(elements, options);
		this.tip.addEvents( {
			mouseenter :this.enterTip.bind(this),
			mouseleave :this.leaveTip.bind(this)
		});
	},

	enterTip : function() {
		this.timer = $clear(this.timer);
	},

	leaveTip : function() {
		$clear(this.timer);
		this.timer = this.hide.delay(this.options.hideDelay, this);
	}

});